[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# DrawText

Draws formatted text on the specified device context.

## Declaration

Source position: winapih.inc line 85

`function DrawText(`
`DC: HDC;`
`Str: PChar;`
`Count: Integer;`
`var Rect: TRect;`
`Flags: Cardinal`
`):Integer;`

## Arguments

`DC` |  | Device context used to measure and render the specified Text.
`Str` |  | Text drawn in the routine.
`Count` |  | Length of the value in Str; calculated when Count is negative.
`Rect` |  | Rectangle where the text was drawn.
`Flags` |  | DrawText flags examined in the routine.

## Function result

1 on success, 0 when text could not be drawn.

## See also

TextOut |  | Draws an string without formatting (single line).
GetTextMetrics |  | Retrieves the metrics for the currently selected font.